Summary: LIVE555 Streaming Media
Name: live
Version: 2009.07.09
Release: 1.2
URL: http://www.live555.com/liveMedia/
Source0: http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
License: LGPLv2
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++, perl

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP).

%package devel
Summary: LIVE555 Streaming Media Development Tools
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description devel
Development tools for the LIVE555 Streaming Media libraries.

%package utils
Summary: LIVE555 Streaming Media Utilities
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description utils
A set of test programs for the LIVE555 Streaming Media libraries.

%prep
%setup0 -q -n live
find . -type f | xargs perl -pi -e's,strstream.h,strstream,'
perl -pi -e's|(COMPILE_OPTS.*)|$1 %{optflags} -fPIC|' config.linux

%build
./genMakefiles linux
make

%install
rm -rf %{buildroot}

for f in liveMedia UsageEnvironment groupsock BasicUsageEnvironment
do
	mkdir -p %{buildroot}%{_libdir}/live/$f/include
	cp $f/lib$f.a %{buildroot}%{_libdir}/live/$f
	cp $f/include/*.h* %{buildroot}%{_libdir}/live/$f/include
done

mkdir -p %{buildroot}%{_bindir}

for file in testMP3Streamer testMP3Receiver testRelay testMPEG1or2Splitter \
  testMPEG1or2VideoStreamer testMPEG1or2VideoReceiver testMPEG1or2AudioVideoStreamer \
  testMPEG4VideoStreamer testWAVAudioStreamer testAMRAudioStreamer \
  testOnDemandRTSPServer vobStreamer openRTSP playSIP sapWatch
do
  install -p testProgs/$file %{buildroot}%{_bindir}/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/live

%files utils
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
